## LassoSoapBindingProvider LassoSoapBindingProvider — <soapbinding:ProviderType> |

## Functions

LassoSoapBindingProvider * | lasso_soap_binding_provider_new ()

## Types and Values

struct | LassoSoapBindingProvider

## Description

Figure 140. Schema fragment for soapbinding:ProviderType

    <xs:complexType name="ProviderType">
      <xs:attribute name="providerID" type="xs:anyURI" use="required"/>
      <xs:attribute name="affiliationID" type="xs: nyURI" use="optional"/>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute ref="S:mustUnderstand" use="optional"/>
      <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>
    <xs:element name="Provider" type="ProviderType"/>

## Functions

### lasso_soap_binding_provider_new ()

    LassoSoapBindingProvider *
    lasso_soap_binding_provider_new (const gchar *providerID);

## Types and Values

### struct LassoSoapBindingProvider

    struct LassoSoapBindingProvider {
    	LassoNode parent;

    	gchar *providerID;
    	gchar *affiliationID;

    	gchar *id;
    	gchar *mustUnderstand;
    	gchar *actor;
    };